#include "mainwindow.h"

#include <QApplication>
#include <QLocale>
#include <QStandardPaths>
#include <QString>
#include <QStringList>
#include <QTranslator>

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	QString trPath;
#if defined(QT_DEBUG)
	trPath = app.applicationDirPath() + "/";
#else
#if defined(Q_OS_WINDOWS)
	trPath = app.applicationDirPath() + "/translations/";
#elif defined(Q_OS_UNIX)
	trPath = QStandardPaths::locate(QStandardPaths::AppDataLocation, "i18n", QStandardPaths::LocateDirectory);
#endif
#endif

	QTranslator translator;
	const QStringList languages = QLocale::system().uiLanguages();
	for (const QString &locale : languages)
	{
		const QString baseName = "/VM-Starter-Qt_" + QLocale(locale).name();
		const QString translationFullPath = trPath + baseName;
		if(translator.load(translationFullPath))
		{
			app.installTranslator(&translator);
			break;
		}
	}

	MainWindow w;
    w.show();
	return app.exec();
}
