#
# spec file for package VBox-Starter-Qt
#
# Copyright (c) 2022 E W 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://gitlab.com/catsfood/vbox-starter-qt
#


Name:           VBox-Starter-Qt
Version:        1.3.0.6.3
Release:        0
Summary:        Easy start VirtualBox VMs from a GUI
License:        GPL-3.0-or-later
URL:            https://gitlab.com/catsfood/vbox-starter-qt
Source0:        vbox-starter-qt.tar.xz
#Source1:        %{name}.desktop 
BuildRequires:  cmake >= 3.5
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       virtualbox
Obsoletes:      VirtualBox-VM-Starter-Qt

%description
An application to easy start VirtualBox virtual machines from a graphical user interface.

%lang_package

%prep
%setup -q -n vbox-starter-qt

%build
%cmake
%make_build

%install
%cmake_install
#for i in 16 32 48 64 128 256; do
#  install -D -m0644 resources/vm-folder-${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/vm-folder.png
#done
#install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
#installing icons and desktop files is done by cmake

%suse_update_desktop_file %{name}


%files
%license LICENSE
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/vm-folder.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/VM-Starter-Qt/

%files lang
%{_datadir}/VM-Starter-Qt/i18n/

%changelog
* Tue Mar 21 2023 webe.info@gmx-topmail.de
- Update to version 1.3.0.6.3:
  * rename installed icons
  * under linux cmake now install icons
  * under linux cmake installs also the .desktop file
  * replace qasconst
  * include qglobal
  * update version number
  * reduce to c++11
  * correct cmake script
  * update install scripts
  * update lables
* Mon Jan  2 2023 W. <webe.info@gmx-topmail.de>
- making old version (old name) obsolete
* Tue Dec 20 2022 W. <webe.info@gmx-topmail.de>
- Version 1.3.0.3:
  * lable updates
* Mon Dec 19 2022 W. <webe.info@gmx-topmail.de>
- initial version
